local QRGenerator = require("QRGenerator")

local dataText = "testText"

local dataEmail = {
	email = "test@mail.de",
	subject = "Subject",
	body = "Email content",
}

local dataEvent = {
	name = "Event name",
	location = "Hamburg",
	start = {
		year = 2016,
		month = 8,
		day = 15,
		hours = 5,
		minutes = 10,
		seconds = 23,
	},
	finish = {
		year = 2016,
		month = 8,
		day = 15,
		hours = 5,
		minutes = 10,
		seconds = 23,
	},
	additionalFields = {
		{"FIELDNAME", "2016-08-01"},
	}
}

local dataSms = {
	number = 015134567,
	text = "SMS Text",
}

local dataUrl = {
	url = "web.de",
}

local dataVCard = {
	firstname = "Torben",
	title = "Herr",
	telCell = 1,
	telHome = 2,
	telWork = 3,
	emailHome = "w@r.de",
	emailWork = "t@k.com",
	url = "www.aaa.de",
	adress = {
		street = "straße",
		city = "hamburg",
		zip = "11111",
		country = "germany",
	},
	organization = "Firma",
	birthday = {year=2016, month="9"},
	additionalFields = {
		{"FIELDNAME", "2016-08-01"},
	}
}

local dataLocation = {
	type = "location",
	latitude = 45,
	magnitude = 31,
}

local dataWifi = {
	name = "123",
	network = "WPA",
	password = "ert",
}




local qrCode, dataTable, encodedData = QRGenerator.generate({
	mode = "image",
	size = 500,
	border = 1,
	color1 = {1, 0.5, 0},
	color2 = {0, 1, 0},
}, dataEmail, "email")

qrCode.x, qrCode.y = qrCode.width*0.5, qrCode.height*0.5



print(qrCode, dataTable, encodedData)